## wxHtmlWidgetCell

wxHtmlWidgetCell is a class that provides a connection between HTML cells and widgets (an object derived from wxWindow). You can use it to display things like forms, input boxes etc. in an HTML window.

wxHtmlWidgetCell takes care of resizing and moving window.

Derived from

wxHtmlCell

Include files

<wx/html/htmlcell.h>

Members

wxHtmlWidgetCell::wxHtmlWidgetCell

### wxHtmlWidgetCell::wxHtmlWidgetCell

wxHtmlWidgetCell(wxWindow* wnd, int w = 0)

Constructor.

Parameters

wnd

Connected window. It is parent window must be the wxHtmlWindow object within which it is displayed!

w

Floating width. If non-zero width of wnd window is adjusted so that it is always w percents of parent container's width. (For example w = 100 means that the window will always have same width as parent container)